fixtures = {'test1':
                    {'name':'test1',
					'description':'Tests using histogram that dependent time series have higher TE \
									from X to Y than in the reverse direction',
					'estimator':'histogram',
                	'bins': {'S1': [-0.5,-0.2, -0.05,-0.01,0,0.01, 0.05, 0.2, 0.5], 
							'S2': [-0.5,-0.2, -0.05,-0.01,0,0.01, 0.05, 0.2, 0.5],
							'S1_lag1': [-0.5,-0.2, -0.05,-0.01,0,0.01, 0.05, 0.2, 0.5],
							'S2_lag1': [-0.5,-0.2, -0.05,-0.01,0,0.01, 0.05, 0.2, 0.5]},
					'bandwidth':None,
					'S1': 100,
					'S2': 100,
					'T':  1000,
					'N':  10000, 
					'mu1': 0, 
					'mu2': 0,
					'sigma1': 0.1,
					'sigma2': 0.2, 
					'alpha': 0.1,
					'lag': 1,
					'seed': 10,
					'expected_TE':None,
					'expected_Z_score':None,
					'shuffles':0,
					'assertion':'(TE_XY > TE_YX)' # Boolean gets evaluated at runtime
                    },
            'test2':
                    {'name':'test2',
					'description':'Tests using histogram that highly dependent time series \
									have much higher TE from X to Y than in the reverse direction',
					'estimator':'histogram',
					'bins': {'S1': [-0.5,-0.2, -0.05,-0.01,0,0.01, 0.05, 0.2, 0.5], 
                              'S2': [-0.5,-0.2, -0.05,-0.01,0,0.01, 0.05, 0.2, 0.5],
                              'S1_lag1': [-0.5,-0.2, -0.05,-0.01,0,0.01, 0.05, 0.2, 0.5],
                              'S2_lag1': [-0.5,-0.2, -0.05,-0.01,0,0.01, 0.05, 0.2, 0.5]},
					'bandwidth':None,
					'S1': 100,
					'S2': 100,
					'T':  1000,
					'N':  10000, 
					'mu1': 0, 
					'mu2': 0,
					'sigma1': 0.1,
					'sigma2': 0.05, 
					'alpha': 0.95,
					'lag': 1,
					'seed': 10,
					'expected_TE':None,
					'expected_Z_score':None,
					'shuffles':0,
					'assertion':'(TE_XY > 10 * TE_YX)'	# Boolean gets evaluated at runtime
                    },

			'test3':
                    {'name':'test3',
					'description':'Tests using KDE that highly dependent time series \
									have much higher TE from X to Y than in the reverse direction',
					'estimator':'kernel',
					'bins': None,
					'bandwidth':2,
					'S1': 100,
					'S2': 100,
					'T':  1000,
					'N':  10000, 
					'mu1': 0, 
					'mu2': 0,
					'sigma1': 0.4,
					'sigma2': 0.3, 
					'alpha': 0.9,
					'lag': 1,
					'seed': 10,
					'expected_TE':None,
					'expected_Z_score':None,
					'shuffles':0,
					'assertion':'(TE_XY > 10 * TE_YX)'	# Boolean gets evaluated at runtime
                    },


			'test4':
                    {'name':'test4',
					'description':'Tests using KDE that independent time series have zero TE',
					'estimator':'kernel',
					'bins': None,
					'bandwidth':1,
					'S1': 100,
					'S2': 100,
					'T':  1000,
					'N':  10000, 
					'mu1': 0, 
					'mu2': 0,
					'sigma1': 0.5,
					'sigma2': 0.3, 
					'alpha': 0,
					'lag': 1,
					'seed': 10,
					'expected_TE':None,
					'expected_Z_score':None,
					'shuffles':0,
					'assertion':'(abs(TE_XY- TE_YX) < 0.001)'	# Boolean gets evaluated at runtime
                    }
}
